Param(
    [string] $tenantId,
    [string] $subId,
    [string] $user,
    [string] $pass
)

$securedPass = ConvertTo-SecureString -String $pass -AsPlainText -Force
$Credential = New-Object -TypeName System.Management.Automation.PSCredential -ArgumentList $user, $securedPass
Connect-AzAccount -Credential $Credential -TenantId $tenantId  -SubscriptionId $subId -ServicePrincipal